accounts/urls.py
from django.urls import path
from . import views

app_name = 'accounts'

urlpatterns = [
    path('login/', views.user_login, name='login'),
    path('register/', views.register, name='register'),
    path('logout/', views.user_logout, name='logout'),
    path('profile/<int:user_id>', views.profile, name='profile'),
    path('profile/change-password/', views.change_password, name='change-password'),
    path('profile/delete-account/', views.delete_user, name='delete-account'),
    path('profile/delete-account/<int:user_id>', views.delete_user_confirm, name='delete-account-confirm'),
]

cart/urls.py
from django.urls import path
from . import views

app_name = 'cart'

urlpatterns = [
    path('', views.cart, name='cart'),
    path('add/<int:product_id>', views.cart_add, name='cart_add'),
    path('remove/<int:product_id>', views.cart_remove, name='cart_remove'),
    path('update/', views.cart_update, name='cart_update')
]

company/urls.py
from django.urls import path
from . import views

app_name = 'company'

urlpatterns = [
    path('', views.home, name='home'),
    path('about/', views.about, name='about')
]

core/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf.urls.static import static
from core import settings

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('company.urls', namespace='company')),
    path('shop/', include('shop.urls', namespace='shop')),
    path('accounts/', include('accounts.urls', namespace='accounts')),
    path('cart/', include('cart.urls', namespace='cart')),
    path('orders/', include('orders.urls', namespace='orders')),
    path('checkout/', include('checkout.urls', namespace='checkout')),
]

shop/urls.py
from django.urls import path
from . import views

app_name = 'shop'

urlpatterns = [
    path('', views.shop, name='shop'),
    path('search/', views.search, name='search'),
    path('category/<slug:slug>/', views.shop, name='category_filter'),
    path('manufacturer/<slug:slug>/', views.shop, name='manufacturer_filter'),
    path('product_details/<slug:slug>/', views.product_details, name='product'),
    path('review/<slug:slug>/', views.add_review, name='review'),
    path('wishlist/', views.liked, name='liked'),
    path('add-to-wishlist/', views.add_to_wishlist, name='add_to_wishlist'),  # For add to wishlist
]

templates/inc/_footerRefrences.html
{% load static %}
<!-- Jquery -->
<script src="{% static 'frontend/js/jquery.min.js' %}"></script>
<script src="{% static 'frontend/js/jquery-migrate-3.0.0.js' %}"></script>
<script src="{% static 'frontend/js/jquery-ui.min.js' %}"></script>
<!-- Popper JS -->
<script src="{% static 'frontend/js/popper.min.js' %}"></script>
<!-- Bootstrap JS -->
<script src="{% static 'frontend/js/bootstrap.min.js' %}"></script>
<!-- Slicknav JS -->
<script src="{% static 'frontend/js/slicknav.min.js' %}"></script>
<!-- Owl Carousel JS -->
<script src="{% static 'frontend/js/owl-carousel.js' %}"></script>

<!-- Active JS -->
<script src="{% static 'frontend/js/active.js' %}"></script>

templates/inc/_headerRefrences.html
{% load static %}
<!-- Web Font -->
<!--<link href="https://fonts.googleapis.com/css?family=Poppins:200i,300,300i,400,400i,500,500i,600,600i,700,700i,800,800i,900,900i&display=swap" rel="stylesheet">-->
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name='copyright' content=''>
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<!-- Bootstrap -->
<link rel="stylesheet" href="{% static 'frontend/css/bootstrap.css' %}">
<!-- Font Awesome -->
<link rel="stylesheet" href="{% static 'frontend/css/font-awesome.css' %}">
<!-- Themify Icons -->
<link rel="stylesheet" href="{% static 'frontend/css/themify-icons.css' %}">
<!-- Owl Carousel -->
<link rel="stylesheet" href="{% static 'frontend/css/owl-carousel.css' %}">
<!-- Slicknav css -->
<link rel="stylesheet" href="{% static 'frontend/css/slicknav.min.css' %}">



<!-- shop StyleSheet -->
<link rel="stylesheet" href="{% static 'frontend/css/reset.css' %}">
<link rel="stylesheet" href="{% static 'frontend/css/style.css' %}">
<link rel="stylesheet" href="{% static 'frontend/css/responsive.css' %}">

templates/inc/footer.html
{% load static %}
<!-- Start Footer Area -->
<footer class="footer">
    <!-- Footer Top -->
    <div class="footer-top section">
        <div class="container">
            <div class="row">
                <div class="col-lg-5 col-md-6 col-12">
                    <!-- Single Widget -->
                    <div class="single-footer about">
                        <div class="logo">
                            <a href="index.html"><img src="{% static 'frontend/images/logo.png' %}" alt="#"></a>
                        </div>
                        <p class="text">Welcome to the best shop exist ever :) </p>
                        <p class="call">Got Question? Call us 24/7<span><a href="tel:123456789">+044 3456 7890</a></span></p>
                    </div>
                    <!-- End Single Widget -->
                </div>
                <div class="col-lg-2 col-md-6 col-12">
                    <!-- Single Widget -->
                    <div class="single-footer links">
                        <h4>Information</h4>
                        <ul>
                            <li><a href="{% url 'company:home' %}">Home</a></li>
                            <li><a href="{%url 'shop:shop' %}">Shop</a></li>
                            <li><a href="{% url 'company:about' %}">About Me</a></li>
                        </ul>
                    </div>
                    <!-- End Single Widget -->
                </div>
                <div class="col-lg-2 col-md-6 col-12">

                </div>
                <div class="col-lg-3 col-md-6 col-12">
                    <!-- Single Widget -->
                    <div class="single-footer social">
                        <h4>Get In Tuch</h4>
                        <!-- Single Widget -->
                        <div class="contact">
                            <ul>
                                <li>Göteborg . Sweden</li>
                                <li>azarbahrama@gmail.com</li>
                                <li>+044 3456 7890</li>
                            </ul>
                        </div>
                        <!-- End Single Widget -->
                        <ul>
                            <li><a href="https://github.com/Athenaazar"><i class="ti-github"></i></a></li>
                            <li><a href="https://www.instagram.com/athena_azarbahram/"><i class="ti-instagram"></i></a></li>
                        </ul>
                    </div>
                    <!-- End Single Widget -->
                </div>
            </div>
        </div>
    </div>
    <!-- End Footer Top -->
    <div class="copyright">
        <div class="container">
            <div class="inner">
                <div class="row">
                    <div class="col-lg-6 col-12">
                        <div class="left">
                            <p> Created ❤ by Athena </p>
                        </div>
                    </div>
                    <div class="col-lg-6 col-12">
                        <div class="right">
                            <img src="{%static 'frontend/images/payments.png' %}" alt="#">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</footer>
<!-- /End Footer Area -->

templates/inc/header.html
{%load static%}
<!-- Header -->
<header class="header shop">
    <div class="middle-inner">
        <div class="container">
            <div class="row">
                <div class="col-lg-2 col-md-2 col-12">
                    <!-- Logo -->
                    <div class="logo">
                        <a href="{% url 'company:home' %}"><img src="{% static 'frontend/images/logo.png' %}" alt="logo"></a>
                    </div>
                    <!--/ End Logo -->
                        <!-- Search Form -->
						<div class="search-top">
							<div class="top-search"><a href="#0"><i class="ti-search"></i></a></div>
							<!-- Search Form -->
							<div class="search-top">
								<form class="search-form" action="{% url 'shop:search' %}" method="GET">
									<input type="text" placeholder="Search here..." name="q">
									<button value="search" type="submit"><i class="ti-search"></i></button>
								</form>
							</div>
							<!--/ End Search Form -->
						</div>
						<!--/ End Search Form -->
						<div class="mobile-nav"></div>
                </div>
                <div class="col-lg-8 col-md-7 col-12">
                    <div class="search-bar-top">
                        <div class="search-bar">
                            <form action="{% url 'shop:search' %}" method="GET">
                                <input name="q" placeholder="Search Products Here....." type="search">
                                <button class="btnn"><i class="ti-search"></i></button>
                            </form>
                        </div>
                    </div>
                </div>
                <div class="col-lg-2 col-md-3 col-12">
                    <div class="right-bar">
                        <!-- Search Form -->
                        <div class="sinlge-bar">
                            <a href="{% url 'shop:liked' %}" class="single-icon"><i class="fa fa-heart-o" aria-hidden="true"></i></a>
                        </div>
                        <div class="sinlge-bar">
                            <a href="{% if request.user.is_authenticated %}{% url 'accounts:profile' request.user.id %}{%else%}{% url 'accounts:login' %}{%endif%}" class="single-icon"><i class="fa fa-user-circle-o" aria-hidden="true"></i></a>
                        </div>
                        <div class="sinlge-bar shopping">
                            <a href="{% url 'cart:cart' %}" class="single-icon"><i class="ti-bag"></i> <span class="total-count">{{request.session.cart.keys|length}}</span></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Header Inner -->
    <div class="header-inner">
        <div class="container">
            <div class="cat-nav-head">
                <div class="row">
                    <div class="col-12">
                        <div class="menu-area">
                            <!-- Main Menu -->
                            <nav class="navbar navbar-expand-lg">
                                <div class="navbar-collapse">
                                    <div class="nav-inner">
                                        <ul class="nav main-menu menu navbar-nav">
                                            <li class="{% if request.resolver_match.url_name == 'home' %}active{% endif %}"><a href="{% url 'company:home' %}">Home</a></li>
                                            <li class="{% if request.resolver_match.url_name == 'shop' %}active{% endif %}"><a href="{% url 'shop:shop' %}">Shop</a></li>
                                            <li class="{% if request.resolver_match.url_name == 'about' %}active{% endif %}"><a href="{% url 'company:about' %}">About Me</a></li>
                                            {% if request.user.is_authenticated %}
                                            <li class="{% if request.resolver_match.url_name == 'logout' %}active{% endif %}"><a href="{% url 'accounts:logout' %}">logout</a></li>
                                            {% else %}
                                            <li class="{% if request.resolver_match.url_name == 'login' %}active{% endif %}"><a href="{% url 'accounts:login' %}">Login</a></li>
                                            <li class="{% if request.resolver_match.url_name == 'register' %}active{% endif %}"><a href="{% url 'accounts:register' %}">Register</a></li>
                                            {% endif %}
                                        </ul>
                                    </div>
                                </div>
                            </nav>
                            <!--/ End Main Menu -->
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--/ End Header Inner -->
</header>
<!--/ End Header -->

templates/inc/messages.html
{% if messages %}
    {% for message in messages %}
        <div id="messages" class="container mt-3">
            <div class="alert alert-{{ message.tags }} alert-dismissible" role="alert">
                <button class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                {{ message }}
            </div>
        </div>
    {% endfor %}
{% endif %}